diff -EbwBru 6.0.0.M1/org/jboss/mx/modelmbean/ModelMBeanInvoker.java trunk/org/jboss/mx/modelmbean/ModelMBeanInvoker.java
--- 6.0.0.M1/org/jboss/mx/modelmbean/ModelMBeanInvoker.java	2009-11-30 14:39:18.000000000 -0600
+++ trunk/org/jboss/mx/modelmbean/ModelMBeanInvoker.java	2009-12-10 12:42:24.000000000 -0600
@@ -91,7 +91,7 @@
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
  * @author Matt Munz
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public abstract class ModelMBeanInvoker extends AbstractMBeanInvoker
    implements ModelMBean, ModelMBeanConstants
@@ -145,6 +145,7 @@
     * Model MBean metadata.
     *
     * @param   info  Model MBean metadata
+    * @throws MBeanException for any error
     */
    public ModelMBeanInvoker(ModelMBeanInfo info) throws MBeanException
    {
@@ -432,6 +433,7 @@
     * to load a pre-existing management attribute state for this Model MBean
     * instance. See the Javadoc for <tt>load()</tt> for more information.
     */
+   @SuppressWarnings("unchecked")
    public ObjectName invokePreRegister(MBeanServer server, ObjectName name)
       throws Exception
    {
@@ -526,6 +528,11 @@
    /**
     * initializes the persistence manager based on the info for this bean.
     * If this is successful, loads the bean from the persistence store.
+    * 
+    * @param server 
+    * @param name 
+    * @throws MBeanException 
+    * @throws InstanceNotFoundException 
     */
    protected void initPersistence(MBeanServer server, ObjectName name)
       throws MBeanException, InstanceNotFoundException
@@ -616,6 +623,7 @@
     * @param name - the ModelMBean name
     * @throws Exception
     */
+   @SuppressWarnings("unchecked")
    protected void configureInterceptorStack(ModelMBeanInfo info, MBeanServer server, ObjectName name)
       throws Exception
    {
@@ -704,9 +712,10 @@
    /**
     * 
     * @param d
-    * @return
+    * @return the interceptors
     * @throws Exception
     */
+   @SuppressWarnings("unchecked")
    protected List getInterceptors(Descriptor d) throws Exception
    {
       if (d == null)
@@ -792,6 +801,7 @@
       return interceptors;
    }
 
+   @SuppressWarnings("unchecked")
    protected void setValuesFromMBeanInfo() throws JMException
    {
       for (Iterator it = attributeContextMap.entrySet().iterator(); it.hasNext();)
Only in trunk/org/jboss/mx/modelmbean: PropertyAccess.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/modelmbean/RequiredModelMBeanInstantiator.java trunk/org/jboss/mx/modelmbean/RequiredModelMBeanInstantiator.java
--- 6.0.0.M1/org/jboss/mx/modelmbean/RequiredModelMBeanInstantiator.java	2009-11-30 14:31:23.000000000 -0600
+++ trunk/org/jboss/mx/modelmbean/RequiredModelMBeanInstantiator.java	2009-12-10 12:42:24.000000000 -0600
@@ -27,7 +27,6 @@
 import javax.management.modelmbean.ModelMBeanInfo;
 
 import org.jboss.mx.server.ServerConstants;
-import org.jboss.mx.util.PropertyAccess;
 
 /**
  * ModelMBean instantiator. The ModelMBean implementation
@@ -38,7 +37,7 @@
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author  <a href="mailto:Adrian@jboss.org">Adrian Brock</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 86129 $
  */
 public class RequiredModelMBeanInstantiator
 {
@@ -48,7 +47,7 @@
       String className = getClassName();
       try
       {
-         Class modelMBean = cl.loadClass(className);
+         Class<?> modelMBean = cl.loadClass(className);
          return (ModelMBean) modelMBean.newInstance();  
       }
       catch (ClassNotFoundException e)
@@ -71,8 +70,8 @@
       String className = getClassName();
       try 
       {
-         Class modelMBean = cl.loadClass(className);
-         Constructor constructor = modelMBean.getConstructor(new Class[] { ModelMBeanInfo.class });
+         Class<?> modelMBean = cl.loadClass(className);
+         Constructor<?> constructor = modelMBean.getConstructor(new Class[] { ModelMBeanInfo.class });
          return (ModelMBean) constructor.newInstance(new Object[] { info });  
       }
       catch (ClassNotFoundException e)
diff -EbwBru 6.0.0.M1/org/jboss/mx/modelmbean/XMBean.java trunk/org/jboss/mx/modelmbean/XMBean.java
--- 6.0.0.M1/org/jboss/mx/modelmbean/XMBean.java	2009-11-30 14:39:18.000000000 -0600
+++ trunk/org/jboss/mx/modelmbean/XMBean.java	2009-12-10 12:42:24.000000000 -0600
@@ -65,7 +65,7 @@
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author Matt Munz
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public class XMBean
    extends ModelMBeanInvoker
@@ -77,6 +77,7 @@
    /**
     * Default constructor for the XMBean Model MBean implementation. This
     * creates an uninitialized Model MBean template.
+    * @throws MBeanException for any error
     */
    public XMBean() throws MBeanException
    {
@@ -101,6 +102,7 @@
     * metadata.
     *
     * @param   info  Model MBean metadata describing this MBean template
+    * @throws MBeanException for any error
     */
    public XMBean(ModelMBeanInfo info) throws MBeanException
    {
@@ -154,7 +156,10 @@
     *
     * @param   resource     resource object or descriptor
     * @param   resourceType resource type string or URL to *.xml file
+    * @throws MBeanException 
+    * @throws NotCompliantMBeanException 
     */
+   @SuppressWarnings("unchecked")
    public XMBean(Object resource, String resourceType) throws MBeanException, NotCompliantMBeanException
    {
       // TODO: document STANDARD_MBEAN
@@ -391,6 +396,7 @@
 
    // ModelMBeanInvoker overrides -----------------------------------
 
+   @SuppressWarnings("unchecked")
    protected void configureInterceptorStack(ModelMBeanInfo info,
       MBeanServer server, ObjectName name)
      throws Exception
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/CompositeDataInvocationHandler.java trunk/org/jboss/mx/mxbean/CompositeDataInvocationHandler.java
--- 6.0.0.M1/org/jboss/mx/mxbean/CompositeDataInvocationHandler.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/CompositeDataInvocationHandler.java	2009-12-10 12:42:26.000000000 -0600
@@ -35,7 +35,7 @@
  * CompositeDataInvocationHandler.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 public class CompositeDataInvocationHandler implements InvocationHandler
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/CompositeDataView.java trunk/org/jboss/mx/mxbean/CompositeDataView.java
--- 6.0.0.M1/org/jboss/mx/mxbean/CompositeDataView.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/CompositeDataView.java	2009-12-10 12:42:26.000000000 -0600
@@ -27,7 +27,7 @@
  * CompositeDataView.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 public interface CompositeDataView
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/CompositeTypeMetaDataFactory.java trunk/org/jboss/mx/mxbean/CompositeTypeMetaDataFactory.java
--- 6.0.0.M1/org/jboss/mx/mxbean/CompositeTypeMetaDataFactory.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/CompositeTypeMetaDataFactory.java	2009-12-10 12:42:26.000000000 -0600
@@ -29,7 +29,7 @@
  * CompositeTypeMetaDataFactory.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 85671 $
  */
 public class CompositeTypeMetaDataFactory extends WeakClassCache
 {
@@ -66,11 +66,13 @@
    {
    }
 
+   @SuppressWarnings("unchecked")
    protected Object instantiate(Class clazz)
    {
       return new CompositeTypeMetaData(clazz);
    }
 
+   @SuppressWarnings("unchecked")
    protected void generate(Class clazz, Object object)
    {
       CompositeTypeMetaData metaData = (CompositeTypeMetaData) object;
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/CompositeTypeMetaData.java trunk/org/jboss/mx/mxbean/CompositeTypeMetaData.java
--- 6.0.0.M1/org/jboss/mx/mxbean/CompositeTypeMetaData.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/CompositeTypeMetaData.java	2009-12-10 12:42:26.000000000 -0600
@@ -36,7 +36,7 @@
  * CompositeTypeMetaData.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 public class CompositeTypeMetaData
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/GetterNames.java trunk/org/jboss/mx/mxbean/GetterNames.java
--- 6.0.0.M1/org/jboss/mx/mxbean/GetterNames.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/GetterNames.java	2009-12-10 12:42:26.000000000 -0600
@@ -31,7 +31,7 @@
  * GetterNames.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 @Documented
 @Target(ElementType.CONSTRUCTOR)
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/ItemMetaData.java trunk/org/jboss/mx/mxbean/ItemMetaData.java
--- 6.0.0.M1/org/jboss/mx/mxbean/ItemMetaData.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/ItemMetaData.java	2009-12-10 12:42:26.000000000 -0600
@@ -29,7 +29,7 @@
  * ItemMetaData.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 public class ItemMetaData
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBeanDelegate.java trunk/org/jboss/mx/mxbean/MXBeanDelegate.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBeanDelegate.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBeanDelegate.java	2009-12-10 12:42:26.000000000 -0600
@@ -53,7 +53,7 @@
  * 
  * FIXME: Reflection madness
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 85671 $
  */
 public class MXBeanDelegate extends NotificationBroadcasterSupport implements DynamicMBean, MBeanRegistration, NotificationEmitter
 {
@@ -64,7 +64,7 @@
    private Object implementation;
 
    /** The management interface */
-   private Class mbeanInterface;
+   private Class<?> mbeanInterface;
 
    /** The cached mbeaninfo */
    private OpenMBeanInfo cachedMBeanInfo;
@@ -92,7 +92,7 @@
     *            does not follow the JMX design patterns or the implementation
     *            does not implement the interface
     */
-   public MXBeanDelegate(Object implementation, Class mbeanInterface) throws NotCompliantMBeanException
+   public MXBeanDelegate(Object implementation, Class<?> mbeanInterface) throws NotCompliantMBeanException
    {
       this.implementation = implementation;
       this.mbeanInterface = mbeanInterface;
@@ -109,7 +109,7 @@
     *            does not follow the JMX design patterns or this
     *            does not implement the interface
     */
-   protected MXBeanDelegate(Class mbeanInterface) throws NotCompliantMBeanException
+   protected MXBeanDelegate(Class<?> mbeanInterface) throws NotCompliantMBeanException
    {
       this.implementation = this;
       this.mbeanInterface = mbeanInterface;
@@ -147,7 +147,7 @@
     *
     * @return the class of the implementation
     */
-   public Class getImplementationClass()
+   public Class<?> getImplementationClass()
    {
       return implementation.getClass();
    }
@@ -157,7 +157,7 @@
     *
     * @return the management interface
     */
-   public final Class getMBeanInterface()
+   public final Class<?> getMBeanInterface()
    {
       return mbeanInterface;
    }
@@ -466,7 +466,7 @@
    private String getSignatureString(Method method)
    {
       String name = method.getName();
-      Class[] signature = method.getParameterTypes();
+      Class<?>[] signature = method.getParameterTypes();
       StringBuilder buffer = new StringBuilder(512);
       buffer.append(name);
       buffer.append("(");
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBeanFactory.java trunk/org/jboss/mx/mxbean/MXBeanFactory.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBeanFactory.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBeanFactory.java	2009-12-10 12:42:26.000000000 -0600
@@ -31,7 +31,7 @@
  * MXBeanFactory.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 public class MXBeanFactory
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBeanInvocationHandler.java trunk/org/jboss/mx/mxbean/MXBeanInvocationHandler.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBeanInvocationHandler.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBeanInvocationHandler.java	2009-12-10 12:42:26.000000000 -0600
@@ -51,15 +51,15 @@
  * MXBeanInvocationHandler.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 85671 $
  */
 public class MXBeanInvocationHandler implements InvocationHandler, Serializable
 {
    /** The serialVersionUID */
    private static final long serialVersionUID = -2872014223541692039L;
    
-   private static final Class[] LISTENER = new Class[] { NotificationListener.class };
-   private static final Class[] TRIPLET = new Class[] { NotificationListener.class, NotificationFilter.class, Object.class };
+   private static final Class<?>[] LISTENER = new Class[] { NotificationListener.class };
+   private static final Class<?>[] TRIPLET = new Class[] { NotificationListener.class, NotificationFilter.class, Object.class };
 
    private static final Method EQUALS;
    private static final Method HASH_CODE;
@@ -210,7 +210,7 @@
       
       Map<Method, Action> result = new HashMap<Method, Action>();
 
-      Class[] interfaces = proxy.getClass().getInterfaces();
+      Class<?>[] interfaces = proxy.getClass().getInterfaces();
       for (int i = 0; i < interfaces.length; ++i)
       {
          if (NotificationBroadcaster.class.isAssignableFrom(interfaces[i]))
@@ -226,8 +226,8 @@
             for (Method method : methods)
             {
                String methodName = method.getName();
-               Class returnType = method.getReturnType();
-               Class[] parameterTypes = method.getParameterTypes();
+               Class<?> returnType = method.getReturnType();
+               Class<?>[] parameterTypes = method.getParameterTypes();
 
                // Getter
                if (methodName.startsWith("get")  && 
@@ -320,7 +320,7 @@
    
    private static String[] getSignature(final Method method)
    {
-      Class[] parameterTypes = method.getParameterTypes();
+      Class<?>[] parameterTypes = method.getParameterTypes();
       String[] signature = new String[parameterTypes.length];
       for (int p = 0; p < parameterTypes.length; ++p)
           signature[p] = parameterTypes[p].getName();
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBean.java trunk/org/jboss/mx/mxbean/MXBean.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBean.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBean.java	2009-12-10 12:42:26.000000000 -0600
@@ -31,7 +31,7 @@
  * MXBean.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 @Documented
 @Target(ElementType.TYPE)
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBeanMetaData.java trunk/org/jboss/mx/mxbean/MXBeanMetaData.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBeanMetaData.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBeanMetaData.java	2009-12-10 12:42:26.000000000 -0600
@@ -78,7 +78,7 @@
       Class<?> concrete = mbeanClass;
       while (null != concrete)
       {
-         Class result = findMXBeanInterface(concrete, concrete.getInterfaces());
+         Class<?> result = findMXBeanInterface(concrete, concrete.getInterfaces());
          if (null != result)
             return result;
          concrete = concrete.getSuperclass();
@@ -397,7 +397,7 @@
    private String getSignatureString(Method method)
    {
       String name = method.getName();
-      Class[] signature = method.getParameterTypes();
+      Class<?>[] signature = method.getParameterTypes();
       StringBuffer buffer = new StringBuffer(512);
       buffer.append(name);
       buffer.append("(");
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBeanSupport.java trunk/org/jboss/mx/mxbean/MXBeanSupport.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBeanSupport.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBeanSupport.java	2009-12-10 12:42:26.000000000 -0600
@@ -42,7 +42,7 @@
  * MXBeanSupport.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 82920 $
  */
 public class MXBeanSupport implements DynamicMBean, MBeanRegistration, NotificationEmitter
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/MXBeanUtils.java trunk/org/jboss/mx/mxbean/MXBeanUtils.java
--- 6.0.0.M1/org/jboss/mx/mxbean/MXBeanUtils.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/MXBeanUtils.java	2009-12-10 12:42:26.000000000 -0600
@@ -59,7 +59,7 @@
  * Utils.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 86129 $
  */
 public class MXBeanUtils
 {
@@ -67,7 +67,7 @@
    private static final Map<Method, String> compositeDataKeyCache = Collections.synchronizedMap(new WeakHashMap<Method, String>()); 
 
    /** A cache of classes to key to getters */
-   private static final Map<Class, Map<String, Method>> compositeDataMethodCache = Collections.synchronizedMap(new WeakHashMap<Class, Map<String, Method>>()); 
+   private static final Map<Class<?>, Map<String, Method>> compositeDataMethodCache = Collections.synchronizedMap(new WeakHashMap<Class<?>, Map<String, Method>>()); 
    
    /** The map key */
    public static final String MAP_KEY = "key";
@@ -87,6 +87,7 @@
     * @param type the type
     * @return the open type
     */
+   @SuppressWarnings("unchecked")
    public static OpenType getOpenType(Type type)
    {
       if (type == null)
@@ -95,7 +96,7 @@
       OpenType result = checkType(type);
       if (result != null)
          return result;
-      Class clazz = (Class) type;
+      Class<?> clazz = (Class) type;
       return CompositeTypeMetaDataFactory.getCompositeType(clazz);
    }
 
@@ -106,7 +107,7 @@
     * @return the open type
     * @throws Exception for any error 
     */
-   public static SimpleType getSimpleType(Class type) throws Exception
+   public static SimpleType getSimpleType(Class<?> type) throws Exception
    {
       SimpleType simpleType = checkSimpleType(type);
       if (simpleType == null)
@@ -286,11 +287,12 @@
     * @param type the type
     * @return return the enum type or null if it is not an enum
     */
+   @SuppressWarnings("unchecked")
    public static SimpleType checkEnum(Type type)
    {
       if (type instanceof Class == false)
          return null;
-      Class clazz = (Class) type;
+      Class<?> clazz = (Class) type;
       if (clazz.isEnum() || Enum.class.equals(clazz))
          return SimpleType.STRING;
       return null;
@@ -302,11 +304,12 @@
     * @param value the value
     * @return the simple type
     */
+   @SuppressWarnings("unchecked")
    public static Object constructSimpleData(Object value)
    {
       if (value != null && value instanceof Enum)
       {
-         Enum enumeration = (Enum) value;
+         Enum<?> enumeration = (Enum) value;
          return enumeration.name();
       }
       return value;
@@ -351,11 +354,12 @@
     * @param type the type
     * @return return the array type or null if it is not an array
     */
+   @SuppressWarnings("unchecked")
    public static ArrayType checkArray(Type type)
    {
       if (type instanceof Class)
       {
-         Class clazz = (Class) type;
+         Class<?> clazz = (Class) type;
          if (clazz.isArray() == false)
             return null;
          int dimension = 1;
@@ -413,6 +417,7 @@
     * @param type the type
     * @return return the array type or null if it is not a collection
     */
+   @SuppressWarnings("unchecked")
    public static ArrayType checkCollection(Type type)
    {
       if (type instanceof ParameterizedType == false)
@@ -451,6 +456,7 @@
     * @param clazz the class
     * @return return the array type or null if it is not a collection
     */
+   @SuppressWarnings("unchecked")
    public static ArrayType checkCollectionClass(Class clazz)
    {
       if (Collection.class.isAssignableFrom(clazz) == false)
@@ -479,6 +485,7 @@
     * @return the open data
     * @throws Exception for any error
     */
+   @SuppressWarnings("unchecked")
    public static Object constructArrayData(OpenType openType, Object value, Object context) throws Exception
    {
       if (value == null)
@@ -488,7 +495,7 @@
       OpenType elementType = arrayType.getElementOpenType();
       int dimension = arrayType.getDimension();
 
-      Class clazz = value.getClass();
+      Class<?> clazz = value.getClass();
       if (clazz.isArray())
       {
          Object[] oldArray = (Object[]) value;
@@ -557,6 +564,7 @@
     * @return the value
     * @throws Exception for any error
     */
+   @SuppressWarnings("unchecked")
    public static Object reconstructArrayData(OpenType openType, Type type, Object value, Object context) throws Exception
    {
       if (value == null)
@@ -604,7 +612,7 @@
     * @return the array
     * @throws Exception for any error
     */
-   private static Object[] reconstructArray(OpenType elementType, Class componentType, int dimension, Object[] oldArray, Object context) throws Exception
+   private static Object[] reconstructArray(OpenType elementType, Class<?> componentType, int dimension, Object[] oldArray, Object context) throws Exception
    {
       if (oldArray == null)
          return null;
@@ -633,6 +641,7 @@
     * @param array the array
     * @return the collection
     */
+   @SuppressWarnings("unchecked")
    private static Collection createCollection(Object[] array)
    {
       return Arrays.asList(array);
@@ -659,6 +668,7 @@
     * @param type the type
     * @return return the tabular type or null if it is not a collection
     */
+   @SuppressWarnings("unchecked")
    public static TabularType checkMap(Type type)
    {
       if (type instanceof ParameterizedType == false)
@@ -687,7 +697,7 @@
     * @param clazz the class
     * @return return the tabular type or null if it is not a collection
     */
-   public static TabularType checkMapClass(Class clazz)
+   public static TabularType checkMapClass(Class<?> clazz)
    {
       if (Map.class.isAssignableFrom(clazz) == false)
          return null;
@@ -791,6 +801,7 @@
     * @return the value
     * @throws Exception for any error
     */
+   @SuppressWarnings("unchecked")
    public static Object reconstructTabularData(OpenType openType, Type type, Object value, Object context) throws Exception
    {
       if (value == null)
@@ -882,7 +893,7 @@
          String name = names[i];
          OpenType itemType = compositeType.getType(name);
          Method method = getCompositeDataMethod(clazz, name, itemType == SimpleType.BOOLEAN);
-         Object itemValue = method.invoke(value, null);
+         Object itemValue = method.invoke(value);
          values[i] = construct(itemType, itemValue, context);
       }
       return new CompositeDataSupport(compositeType, names, values);
@@ -898,6 +909,7 @@
     * @return the value
     * @throws Exception for any error
     */
+   @SuppressWarnings("unchecked")
    public static Object reconstructCompositeData(OpenType openType, Type type, Object value, Object context) throws Exception
    {
       if (value == null)
@@ -928,8 +940,8 @@
 
       StringBuilder fieldName = null;
       
-      Class returnType = method.getReturnType();
-      Class[] paramTypes = method.getParameterTypes();
+      Class<?> returnType = method.getReturnType();
+      Class<?>[] paramTypes = method.getParameterTypes();
       if (Void.TYPE.equals(returnType) == false && paramTypes.length == 0)
       {
          String name = method.getName();
@@ -987,7 +999,7 @@
       Method method = null;
       try
       {
-         method = clazz.getMethod("get" + name, null); 
+         method = clazz.getMethod("get" + name); 
       }
       catch (NoSuchMethodException e)
       {
@@ -995,7 +1007,7 @@
          {
             try
             {
-               method = clazz.getMethod("is" + name, null);
+               method = clazz.getMethod("is" + name);
             }
             catch (NoSuchMethodException ignored)
             {
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/NotificationType.java trunk/org/jboss/mx/mxbean/NotificationType.java
--- 6.0.0.M1/org/jboss/mx/mxbean/NotificationType.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/NotificationType.java	2009-12-10 12:42:26.000000000 -0600
@@ -32,7 +32,7 @@
  * NotificationType.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 85671 $
  */
 @Documented
 @Inherited
@@ -44,5 +44,5 @@
    String value();
    
    /** The user data class */
-   Class userDataClass() default void.class;
+   Class<?> userDataClass() default void.class;
 }
diff -EbwBru 6.0.0.M1/org/jboss/mx/mxbean/SkeletonOpenType.java trunk/org/jboss/mx/mxbean/SkeletonOpenType.java
--- 6.0.0.M1/org/jboss/mx/mxbean/SkeletonOpenType.java	2009-11-30 14:39:20.000000000 -0600
+++ trunk/org/jboss/mx/mxbean/SkeletonOpenType.java	2009-12-10 12:42:26.000000000 -0600
@@ -32,7 +32,7 @@
  * SkeletonOpenType.
  * 
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
- * @version $Revision: 85945 $
+ * @version $Revision: 85671 $
  */
 public class SkeletonOpenType
 {
@@ -47,12 +47,13 @@
     * 
     * @param type the type
     */
+   @SuppressWarnings("unchecked")
    public SkeletonOpenType(Type type)
    {
       openType = MXBeanUtils.checkType(type);
       if (openType != null)
          return;
-      Class clazz = null;
+      Class<?> clazz = null;
       if (type instanceof ParameterizedType)
       {
          ParameterizedType parameterizedType = (ParameterizedType) type;
